[IPython-dev] [Pythonmac-SIG] readline support for OS X Leopard

Boyd Waters bwaters@nrao....
Tue Oct 30 18:12:33 CDT 2007


On Oct 30, 2007, at 4:41 PM, Hans Meine wrote:

> What about multiple pythons/readlines?  I happend to look over the  
> shoulder of
> an OS X user yesterday, who had three versions of python installed  
> on his
> system.  (I would not suggest that this is a good idea, but AFAICS  
> it happens
> all too easy..)


Ouch! I represent that remark!

OK, I've got my Leopard development system right here and I've got the  
Python 2.5.1/readline that we maintain for our science application.

print os.system("otool -L %s" % readline.__file__)
/System/Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/ 
lib-dynload/readline.so:
	/usr/lib/libedit.2.dylib (compatibility version 2.0.0, current  
version 2.9.0)
	/usr/lib/libncurses.5.4.dylib (compatibility version 5.4.0, current  
version 5.4.0)
	/usr/lib/libgcc_s.1.dylib (compatibility version 1.0.0, current  
version 1.0.0)
	/usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current  
version 111.0.0)




More information about the IPython-dev mailing list